#!/usr/bin/python3

if __name__=='__main__':
    possible = 0
    for a in range(256):
        for b in range(256):
            #if a<b and a%2==1 and a>=127+b:
            if a%2==1 and b%2==0 and (a-b)>=0 and (a+b)<255 and (a-b)<127 and int(str(eval('a+b'))[0])>=3 and len(str(eval('a-b')))>=2 and len(str(eval('a+b')))>=2:
                print("a,b",a,b)
                possible += 1
    print(possible, "matches found")